#!/bin/bash

pushd patch > /dev/null  || exit

LIBERSIGN_PATH=/var/www/parapheur/libersign
TOMCAT_PATH=/opt/iParapheur/tomcat
GLOBAL_PROP="$TOMCAT_PATH/shared/classes/iparapheur-global.properties"
APP_MIN="$TOMCAT_PATH/webapps/iparapheur/javascript/app.min.js"

# Remove and Copy app.min.js
rm ${APP_MIN}
cp patch4.3.2.js ${APP_MIN}

# Create libersign path and make it work
mkdir ${LIBERSIGN_PATH}
cp make.sh ${LIBERSIGN_PATH}/make.sh
chmod +x ${LIBERSIGN_PATH}/make.sh
${LIBERSIGN_PATH}/make.sh PROD

# Add properties to iparapheur-global.properties
if ! grep -Fq "parapheur.extension.libersign" ${GLOBAL_PROP}; then
    echo "parapheur.extension.libersign.firefox.url=http://libersign.adullact-projet.fr/extension.xpi" >> ${GLOBAL_PROP}
    echo "parapheur.extension.libersign.chrome.url=https://chrome.google.com/webstore/detail/jligpldajocilccnnokfnghlamfhnppc" >> ${GLOBAL_PROP}
    echo "parapheur.extension.libersign.native.url=/libersign/libersign.exe" >> ${GLOBAL_PROP}
fi

# Add libersign.exe to libersign path
cp libersign.exe ${LIBERSIGN_PATH}/libersign.exe

# Set crontab
crontab -l > currentcron
if ! grep -Fq "libersign/make.sh" currentcron; then
    # Add entry in crontab
    echo "0 * * * * /var/www/parapheur/libersign/make.sh PROD >> /dev/null 2>&1" >> currentcron
    crontab currentcron  
fi
rm currentcron

# Return to the base directory
popd > /dev/null
